Lançada aBíblia Software 1.1.0

Publicado por Luis César C. Vasquez em 23/07/2008

[ Hits: 4.266 ]

Blog: http://www.comunidadeabiblia.net

 


Lançada aBíblia Software 1.1.0



Para quem não conhece, o aBíblia Software é desenvolvido em C++ usando a biblioteca de classes Qt, a fim de tornar-se um programa de fácil instalação e utilização.

Desenvolvido para os sistemas Windows e Linux, o aBíblia Software reúne em um único programa ferramentas auxiliadoras do estudo bíblico como: pesquisa, seleção de principais passagens, anotações, caixinha de promessas, gerenciador de estudos bíblicos e outros.

O aBíblia Software conta com duas versões dos textos Bíblicos: J. F. Almeida Corrigida e Fiel (1994) e J. F. Almeida Atualizada (1967), que inclusive podem ser consultados ao mesmo tempo, opção perfeita para quem gosta de comparar diferentes versões dos textos sagrados.

O aBíblia Software é desenvolvido pela ComunidadeaBíblia.Net com o "sentimento" Open Source, de fato que você poderá ajudar o projeto citando linhas de códigos ou idéias a serem implementadas.

Esta nova versão vem recheada de novidades, vejam o log de desenvolvimento.

Implementações/Modificações

  • Implementação de função texto secundário;
  • Implementação de texto J.F. Almeida Corrigida e Fiel (1994);
  • Janela de Leitura: abertura em modo Maximizado;
  • Janela de Leitura: visualização em Tela Inteira;
  • Janela de Leitura: caixas dos textos bíblicos marcadas como somente leitura;
  • Utilização integral do padrão UTF-8;
  • Substituição da Classe TextBoxRodape pela Classe ReadBiblia herdeira da nova Classe Pai Read;
  • Janela de Leitura: tamanho da fonte da caixa de anotações modificado pelas funções Aumentar e Diminuir Texto;
  • Janela de Leitura: exibição de mensagem de confirmação ao fechar sem salvar;
  • Implementação de banco de dados em SQLite 3;
  • Migração das anotações em arquivos de texto para o banco de dados;
  • Função Listar Anotações dividida em Livro e Capítulo;
  • Implementação da Classe AMessageBox (geradora de mensagens);
  • Implementação da função Gerenciador de Estudos Bíblicos;
  • Nova função Verificar Atualizações;
  • Adição de ícones.

Correções

  • Não pesquisava o primeiro capítulo de Mateus e de Gênesis.

Windows

  • Melhorias no instalador

Baixe seu pacote em:
Outras dicas deste autor

Pacotes RPM para a aBíblia Software

aBíblia Software 2.1: Mais completa, mais fácil!

aBíblia - Agora é for Linux (testada no Kubuntu, BigLinux e sidux)

aBíblia Software 2.1: mais completa, mais fácil

aBíblia Software 1.2.0 - Ainda mais compatível com Linux!

Leitura recomendada

Megasync não abre ou desaparece [Resolvido]

Fedora Core 6 com suporte a MP3 no XMMS

Como evitar que o "apt-get autoremove" desinstale toda a interface gráfica

Instalando Skype versão static

Cinelerra x Slackware 13.37 64 bits

  

Comentários
[1] Comentário enviado por tekmania em 23/07/2008 - 17:54h

legal

[2] Comentário enviado por Teixeira em 24/07/2008 - 09:39h

Ótima iniciativa, e uma boa notícia para os cristãos de uma forma geral.

Ótima também a divulgação dessa notícia.

Ironicamente, a maneira pela qual foi implementada essa versão da Bíblia, vem fugir diametralmente da filosofia do Mestre em manter as coisas simples e de apresentar as boas-novas a TODOS sem exceção.

Já começa pelo texto no topo da página dizendo que "Você está usando um navegador ultrapassado", restringindo o visitante ao I.E. 7, ao Firefox mais atual ou ao Ópera.

Depois pelo monte de exigências (em forma de dependências) para que se possa ter essa Bíblia no Linux.

Curiosamente, estou em busca de algum trabalho semelhante que pudesse ser aproveitado em distros minimalistas, e até agora nada encontrei nesse sentido.

E é bem sabido que não há impedimentos técnicos para que isso possa ser implementado.

A meu ver, tem faltado apenas um pouco de pés no chão.

De qualquer forma, aqueles que puderem, não percam essa rica oportunidade de conhecer os Evangelhos.



[3] Comentário enviado por luisvasquez em 24/07/2008 - 16:11h

Obrigado pelos comentários Teixeira.

Agora vamos às respostas:
1 - Quanto ao comentário do navegador: Bem, não sei se vc se dar conta disso, mas as coisas evoluem. E, principalmente a tecnologia, assim sendo é notória a evolução dos navegadores web e juntamente com eles seus conteúdos, de forma que algumas página mais novas não conseguem rodar perfeitamente nesses ambientes. Sendo assim, quando informo aos usuários do IE6 que eles estam usando um navegador ultrapassado, não cometo uma exclusão, mas simplesmente chamo à atenção deles que se minha página não abrir corretamente no navegador de cada um eles já saberam o motivo.

2 - Quanto às dependências: Em primiero lugar eu te pergunto: Vc é desenvolvedor ou usuário Linux experiente? Não tome isso como uma afronta, nada disso, mas é que se vc fosse um dos dois dificilmente faria está notificação. Mas tudo bem, vamos à explicação.

Bem, quando desenvolvemos um software precisamos escolher uma linguagem e podemos juntamente escolher uma API... Bem, a aBíblia é desenvolvida em C++ com a biblioteca de classes QT. Sendo assim ela para funciona necessita carregar essas bibliotecas. No windows as bibliotecas são distribuídas como dll's de forma que podemos distribuir, juntamente com o software esses arquivos de forma que o usuário não precisará instalar mais nada para rodar.

No Linux a história é um pouco diferente, onde essas bibliotecas são distribuídas como outros pacotes que são marcados como dependência. E eu não poderia distribuir esses pacotes juntamente com o software? Acontece que esses pacotes são grandes e essa forma de distribuição foge da política adotada pelo Linux. De forma que todo usuário Linux está CARECA de saber que na grande maioria das vezes um software precisa de outro para rodar.

Bem, não sei em que sentido vc achou o software complicado e exclusivo. Se para instala-lo basta
1 - possuir as dependências instalas (é assim em qualquer software Linux)
2 - # dpkg -i abiblia...

Qual a dificuldade?

[4] Comentário enviado por luisvasquez em 24/07/2008 - 16:19h

Teixeira, vamos tentar entender porque suas dependencias ficaram tão grandes assim.

Qual a distribuição que vc usa?
Ela usa que tipo de pacote (se usa)?
Espero poder ajudar e mostrar o quanto será fácil utilizar o software!

Se preferir utilize nosso fórum: http://www.comunidadeabiblia.net/forum

[5] Comentário enviado por Teixeira em 06/08/2011 - 10:52h

Bem, não sou exatamente EU o prejudicado, porém aqueles que têm equipamentos antigos e que se utilizam de navegadores mais primários, como o links2ssl e as versões mais antigas do Opera e do Firefox, por exemplo.
Mais uma vez cito como exemplo o portal da Hello Kitty que é bastante sofisticado e ainda roda muito bem em navegadores antigos, com Flash antigo, etc. e cujo desempenho é razoável em conexões discadas.
Acho que o problema está na escolha das ferramentas,ou coisa assim.

No meu caso atualmente, eu mesmo não teria dificuldade alguma em usá-lo;
Porém faço parte de projetos que se utilizam de distros minimalistas como Basic linux, e o DSL que - como tantas outras - seriam incapazes de rodar o aBiblia.




Contribuir com comentário




Patrocínio

Site hospedado pelo provedor RedeHost.
Linux banner
Linux banner
Linux banner

Destaques

Artigos

Dicas

Tópicos

Top 10 do mês

Scripts